
/* 배너 영역 */
.banner_area {
    display: block;
    width: 100%;
    height: auto;
    aspect-ratio: 500 / 100;
}
.banner_area img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    background-color: #EBE8E8;
}

/* 메인 메뉴 영역 */
.main_menu_area {
    display: block;
    width: 100%;
    height: auto;
    padding: 20px;
    margin-bottom: 20px; 
}
.main_menu_area > ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--main-padding);
    list-style: none;
}
.main_menu_area > ul > li {
    display: block;
    width: 100%;
    aspect-ratio: 1;
    height: auto;
    background-color: var(--bg-01);
    border-radius: 5px;
    box-shadow: var(--shadow-02);
}
.main_menu_area > ul > li:hover {
    box-shadow: var(--shadow-01);
    transform: scale(1.03);
    transition: all .2s ease-in-out;
}
.main_menu_area > ul > li > a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    color: var(--text-01);
    font-size: 1.125rem;
    font-weight: 500;
}
.main_menu_area > ul > li img {
    display: block;
    width: min(40px, max(8vw, 36px));
    height: auto;
    margin-bottom: min(18px, max(3.6vw, 5px));
}

/* 공지사항 / 1:1 문의 영역 */
.notice_qna_area {
    display: block;
    width: 100%;
    height: auto;
    padding: 20px;
    margin-bottom: 20px; 
}
.notice_qna_area > .title_area {
    display: flex;
    gap: 0;
}
.notice_qna_area > .title_area .title {
    display: block;
    flex: 1;
    text-align: center;
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 1em;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--text-02);
    color: var(--text-02);
    cursor: pointer;
}
.notice_qna_area > .title_area .title.on {
    color: var(--text-01);
    border-bottom: 2px solid var(--text-01);
    font-weight: 600;
}
.notice_qna_area > .list_area {
    display: block;
    width: 100%;
    height: auto;
    padding: 20px 0;
}
.notice_qna_area > .list_area > ul {
    display: flex;
    width: 100%;
    height: auto;
    min-height: min(260px, max(52vw, 240px));
    gap: 10px;
    list-style: none;
    flex-wrap: wrap;
    justify-content: flex-start;
    flex-direction: column;
}
.notice_qna_area > .list_area > ul > li {
    display: block;
    width: 100%;
    height: min-content;
    background-color: var(--bg-01);
    border-radius: 5px;
    box-shadow: var(--shadow-02);
    padding: 0 min(15px, max(10px, 3vw));
    font-size: .9375em;
}
.notice_qna_area > .list_area > ul > li:hover {
    box-shadow: var(--shadow-01);
    transform: scale(1.03);
    transition: all .2s ease-in-out;
}
.notice_qna_area > .list_area > ul > li > a {
    display: flex;
    justify-content: left;
    flex-direction: column;
    width: 100%;
    height: auto;
    padding: min(15px, max(10px, 3vw)) 0;
    font-size: 1rem;
    line-height: 1em;
    gap: .5em;
}
.notice_qna_area > .list_area > ul > li .subject {
    font-weight: 500;
    color: var(--text-01);
}
.notice_qna_area > .list_area > ul > li .body_box {
    font-size: .875em;
    padding-bottom: min(15px, max(10px, 3vw));
}
.notice_qna_area > .list_area > ul > li .date {
    color: var(--text-02);
}
.notice_qna_area > .list_area > ul > li .question {
    display: flex;
    width: 100%;
    height: auto;
    flex-wrap: nowrap;
    justify-content: space-between;
    flex-direction: row;
}
.notice_qna_area > .list_area > ul > li .reply_state {
    color: var(--text-desc);
    white-space: nowrap;
    font-size: .875em;
}
.notice_qna_area .body_box > .url_list, .notice_qna_area .body_box > .file_list {
    display: flex;
    width: 100%;
    height: auto;
    justify-content: flex-start;
    list-style: none;
    flex-wrap: wrap;
    gap: 0 .5em;
    font-weight: 400;
    overflow-x: hidden;
}
.notice_qna_area .body_box > .url_list > .url {
    display: inline-block;
    width: fit-content;
    padding-left: 1.2em;
    position: relative;
    color: var(--text-02);
    white-space: nowrap;
}
.notice_qna_area .body_box .link, .notice_qna_area .body_box .link:visited {
    color: var(--text-02);
}
.notice_qna_area .body_box .link:hover {
    color: var(--text-01);
    text-decoration: underline;
}
.notice_qna_area .body_box > .url_list > .url::before {
    position: absolute;
    left: .25em;
    top: 50%;
    content: "🔗";
    font-size: .7em;
    z-index: 1;
    transform: translateY(-50%);
}

.notice_qna_area .body_box > .file_list > .file {
    display: inline-block;
    width: fit-content;
    padding-left: 1.2em;
    position: relative;
    color: var(--text-08);
    white-space: nowrap;
}
.notice_qna_area .body_box > .file_list > .file:hover {
    color: var(--text-01);
    text-decoration: underline;
}
.notice_qna_area .body_box > .file_list > .file::before {
    position: absolute;
    left: .25em;
    top: 50%;
    content: "⬇️";
    font-size: .7em;
    z-index: 1;
    transform: translateY(-50%);
}

.no_records {
    aspect-ratio: unset !important;
    height: min(260px, max(52vw, 240px)) !important;
    gap: 1em !important;
}
.no_records > a {
    padding: .5em;
} 

.more_and_write {
    display: grid;
    width: 100%;
    height: auto;
    grid-template-columns: auto 50px;
    gap: .5em;
    padding-top: min(20px, max(15px, 4vw));
}
.more_and_write > *, .free_and_wanted > * {
    margin-top: 0 !important;
}
.more_and_write > .write_btn {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    line-height: 1em;
    background-color: var(--bg-01);
    border-radius: 5px;
    box-shadow: var(--shadow-02);
}
.more_and_write > .write_btn:hover {
    color: var(--text-01);
    box-shadow: var(--shadow-01);
    transform: scale(1.03);
    transition: all .2s ease-in-out;
}
.more_and_write > .write_btn > img {
    width: min(20px, max(4vw, 18px));
    height: auto;
}

.free_and_wanted {
    display: flex;
    width: 100%;
    height: auto;
    justify-content: space-between;
    padding-top: min(20px, max(15px, 4vw));
    flex-wrap: nowrap;
    gap: .5em;
}
.free_and_wanted > * {
    width: 100%;
}

#admin_menu {
    display: block;
    width: 100%;
    height: auto;
    background-color: var(--bg-01);
    padding: 2em min(30px, max(20px, 6vw)) 4em;
}


@media (max-width:410px) {
    .main_menu_area > ul {
        grid-template-columns: repeat(2, 1fr);
    }
    .main_menu_area > ul > li {
        aspect-ratio: unset;
        height: auto;
        padding: min(20px, max(4vw, 15px)) 0;
;
    }
}